### Method

# Soup Session websocket_connect_finish

#### Declaration [src]

    SoupWebsocketConnection*
    soup_session_websocket_connect_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the `SoupWebsocketConnection` response to a `soup_session_websocket_connect_async()` call.

If successful, returns a `SoupWebsocketConnection` that can be used to communicate with the server.

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` passed to your callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SoupWebsocketConnection`
| A new `SoupWebsocketConnection`, or `NULL` on error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.